> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Transaction (Authorization)

## V2

This topic shows information relevant specifically for Subscribe REST API version 20210401 referred to as V2

Posting with a new Transaction creates a new one-time Transaction object.

**Note:**

* If **to\_be\_captured** is false, the request will trigger an authorization attempt (based on the provided payment method’s authorization process).

* If you post a new transaction with **to\_be\_captured** true it will authorize and immediately capture the transaction if successful.

## HTTP Request

`POST https://api.vindicia.com/transactions`

## Route (URL) Parameters

None.

## Query Parameters

| Parameter | Default | Description | Required |
| - | - | - | - |
| dryrun | false | Run the Transaction without sending it for processing | No |

## Accepts

JSON - A full [Transaction](Transactions) object.

**Note:** Discount tickets are supported for Transactions as part of a subscription and not for One-time Transactions.

## Returns

JSON - A full [Transaction](Transactions) object.

## Example Request

```

curl -X POST \
-u acaff38d462f9430d5cbcbaf:a575771fc679b9de \
-d '{
    "object": "Transaction",
    "id": "tx1234",
    "account": {
       "object": "Account",
       "id": "cust_1235"
    },
    "source_payment_method": {
       "object": "PaymentMethod",
       "id": "paym_1235"
    },
    "shipping_address": {
       "object": "Address",
       "name": "c/o Charlie Brown",
       "line1": "123 Main Street",
       "city": "San Francisco",
       "district": "CA",
       "postal_code": "94105",
       "country": "US"
    },
    "items": [
       {
          "object": "TransactionItem",
          "sku": "sku_1234",
          "name": "Widgets",
          "price": 37.95,
          "quantity": 1
       }
    ],
    "source_ip": "63.201.132.182",
    "policy": {
       "min_chargeback_probability": 99,
       "send_email_notification": 0
    },
    "to_be_captured": false
 }'"https://api.staging.us-west.vindicia.com/transactions"
```

**Parent topic:**[Transactions](../topics/Transactions)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.